/*
 *                                 jStock
 *                    (C) Copyright 2003, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


/*
 * Created on 28-Sep-2003
 */
package com.exponto.jstock.popupwindows;

import javax.swing.*;
import java.awt.*;
//import java.awt.event.*;

/**
 * Just the About window is found here.
 * 
 * Currently only the statc getLicense is used.
 * @author kaare
 */
public class About extends JFrame {
	JTextArea text;
/**
 * Generates a new About window
 *
 */
	public About() {
		//super("License");
		//JPanel panel = new JPanel();
		ScrollPane scrollPane = new ScrollPane();
		//scrollPane.setLayout(new FlowLayout());
		//panel.setLayout(new FlowLayout());
		//getContentPane().add(panel, BorderLayout.CENTER);
		
		text = new JTextArea("                                              jStock\n");
		text.setWrapStyleWord(true);
		text.setEditable(false);
		text.append("                      (C) Copyright 2000 - 2004, Kaare Ranum, Ex Ponto\n\n");
		text.append(" jStock uses the following 3rd party software:\n");
		text.append(" * Jakarta - log4j, Copyright (C) The Apache Software Foundation.\n"); 
		text.append("    Distributed under the The Apache Software License, Version 1.1. \n");
		text.append(" * JUnit - developed by  JUnit.org\n"); 
		text.append("    Distributed under IBM Public License 1.0. \n\n");
		license();
 		//panel.add(text);
		scrollPane.add(text); 
		//getContentPane().add(panel, BorderLayout.CENTER);
		getContentPane().add(scrollPane, BorderLayout.CENTER);
		pack();
		setVisible(true);
	}
/**
 * The Modified BSD license text
 *
 */	
	public void license() {
		text.append(" jStock license:\n\n");
		text.append(" Redistribution and use in source and binary forms, with or without\n");
		text.append(" modification, are permitted provided that the following conditions\n");
		text.append(" are met:\n\n");
		text.append(" 1. Redistributions of source code must retain the above copyright\n");
		text.append("     notice, this list of conditions and the following disclaimer.\n\n");
		text.append(" 2. Redistributions in binary form must reproduce the above\n");
		text.append("     copyright notice, this list of conditions and the following\n");
		text.append("     disclaimer in the documentation and/or other materials\n");
		text.append("     provided with the distribution.\n\n");
		text.append(" 3. Neither the name of Ex Ponto nor the names of its \n");
		text.append("     contributors may be used to endorse or promote products\n");
		text.append("     derived from this software without specific prior written\n");
		text.append("     permission.\n\n");
		text.append(" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND \n");
		text.append(" CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, \n");
		text.append(" INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF \n");
		text.append(" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE \n");
		text.append(" DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR \n");
		text.append(" CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, \n");
		text.append(" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT \n");
		text.append(" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; \n");
		text.append(" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) \n");
		text.append(" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN \n");
		text.append(" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR \n");
		text.append(" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, \n");
		text.append(" EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. \n");
		text.append(" \n");
	}
/**
 * License
 * 
 * @return JTextArea with the license info (not editable)
 */

	public static JTextArea getLicense() {
		JTextArea license;
		license = new JTextArea("                                              jStock\n");
		license.setWrapStyleWord(true);
		license.setEditable(false);
		license.append("                      (C) Copyright 2000 - 2004, Kaare Ranum, Ex Ponto\n\n");
		license.append(" jStock uses the following 3rd party libraries:\n");
		license.append(" * Jakarta - log4j, Copyright (C) The Apache Software Foundation.\n"); 
		license.append("    Distributed under the The Apache Software License, Version 1.1. \n");
		license.append(" * JUnit - developed by  JUnit.org\n"); 
		license.append("    Distributed under  IBM Public License 1.0. \n\n");
		license.append(" jStock license:\n\n");
		license.append(" Redistribution and use in source and binary forms, with or without\n");
		license.append(" modification, are permitted provided that the following conditions\n");
		license.append(" are met:\n\n");
		license.append(" 1. Redistributions of source code must retain the above copyright\n");
		license.append("     notice, this list of conditions and the following disclaimer.\n\n");
		license.append(" 2. Redistributions in binary form must reproduce the above\n");
		license.append("     copyright notice, this list of conditions and the following\n");
		license.append("     disclaimer in the documentation and/or other materials\n");
		license.append("     provided with the distribution.\n\n");
		license.append(" 3. Neither the name of Ex Ponto nor the names of its \n");
		license.append("     contributors may be used to endorse or promote products\n");
		license.append("     derived from this software without specific prior written\n");
		license.append("     permission.\n\n");
		license.append(" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND \n");
		license.append(" CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, \n");
		license.append(" INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF \n");
		license.append(" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE \n");
		license.append(" DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR \n");
		license.append(" CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, \n");
		license.append(" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT \n");
		license.append(" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; \n");
		license.append(" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) \n");
		license.append(" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN \n");
		license.append(" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR \n");
		license.append(" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, \n");
		license.append(" EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. \n");
		license.append(" \n");
		return license;
		
	}
}
